import { Component, Input, OnInit } from '@angular/core';

@Component({
	selector: 'app-display',
	templateUrl: './display.component.html',
	styleUrls: ['./display.component.scss']
})
export class DisplayComponent implements OnInit {

	@Input()
	meta: StringMap;

	value: string;
	link?: StringMap;

	ngOnInit() {
		this.value = this.meta.value;
		this.link = this.meta.link;
	}
}
